<template>
	<view>
		<u-input v-model="dataValue" @input="valueChange" :type="type" />
	</view>
</template>

<script>
	import stringMixin from './stringMixin'
	export default {
		name: 'XhInput', // 新建 input
		components: {},
		mixins: [stringMixin],
		props: {},
		data() {
			return {}
		},
		computed: {
			type() {
				if (this.item && this.item.fieldsType == 'password') {
					return this.item.fieldsType
				} else {
					return 'text'
				}
			}
		},
		watch: {},
		mounted() {},
		methods: {}
	}
</script>

<style>
</style>
